<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/**
 * zsb
 *
 * 业务类库
 *
 * @package         zsb
 * @author          EllisLab Dev Team
 * @copyright       Copyright (c) 2006 - 2014, HOUSE365, Inc.
 * @link            http://nj.sell.house.com
 * @since           Version 1.0
 * @filesource
 */

// ------------------------------------------------------------------------

/**
 * 板块业务逻辑层
 *
 *
 * @package         zsb
 * @subpackage      Models
 * @category        Models
 * @author          fisher
 */

load_m("street_base_model");
class street_model extends Street_base_model {
    
    /**
     * 类初始化
     */
    public function __construct() 
    {
        parent::__construct();
    }
    
    /**
     * 某个区属下模块列表的html
     * @param string $district 区属
     * @return string
     */
    public function street_html_by_district($district)
    {
        $this->set_select_fields(array('id', 'streetname'));
        $street = $this->find_by_district($district);
        $str_streetname_list = '';
        if (isset($street) && !empty($street))
        {
            foreach ($street as $v)
            {
                $str_streetname_list .= '<dd><a class="link" oid="'.$v['id'].'" href="#" >'
                        .$v['streetname'].'</a></dd>';
            }
        }
        return $str_streetname_list;
    }
}
